#include	<sg_mw.h>

/*	アプリケーション構造体											*/
/*	Application structure											*/
typedef struct {
	Sint32			term_flag;			//	Application terminate flag
	Sint32			disp_flag;			//	Display information flag
	Sint32			video_flag;			//	
	Sint32			pause;				//	Pause flag
	char			*fname;				//	File name
	MWPLY			ply;				//	Player
	MWS_PLY_CPRM_SFD cprm;		//	Create parameter
} AP_OBJ, *AP;

void ApInitMw(AP ap);
void ApFinishMw(AP ap);
void ApStart(AP ap);
void ApStop(AP ap);
Sint32 ApExec(AP ap);
void ApGdErrFunc(void *obj, Sint32 errcode);
void ApSetMvSurface(AP ap,NJS_TEXLIST *texlist,Sint32 tex_no);

extern AP_OBJ ap_obj;

#define	OBJECT	object_t_Teapot01_Teapot01
#define TEXLIST texlist_tea_Teapot1T
extern NJS_CNK_OBJECT			OBJECT[];
extern NJS_TEXLIST				TEXLIST;
